Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetObject_Server

Network replication object, server version. More...

Derived from: none
Derived by: none
Group: Network (NetObjects)

#include <ClanLib/network.h>

Construction:

CL_NetObject_Server | Construct a new netobject, assigning it an unique handle that identifies it over the network.

Attributes:

get_obj_id | Returns the netobject handle that identifies it over the network.

Operations:

send | Send a message to client objects.

Signals:

sig_received_message | Signal emitted when receiving messages of the specified type from a client.

Detailed description:

!group=Network/NetObjects! !header=network.h!

The netobject is a message dispatcher for objects being replicated over the network.

It provides an easy system for a server object to send messages to replicated clients on remote computers, as well as getting answers back.

Questions or comments, write to the ClanLib mailing list.